Subject: bug#47234: 28.0.50; frame-inner-height fails without window system on tab-bar-height

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Mar 2021 09:02:37 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Juri Linkov <[email-masked]>,  [email-masked],  [email-masked]
> Date: Thu, 18 Mar 2021 22:24:18 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > After thinking some more about this, I think we should leave the
> > frame.el part of 6c5ddf0e0b alone, but augment it with the fboundp
> > test, such that on TTY frames the tab bar would be included in the
> > frame's inner height, like the menu bar is.  This is also consistent
> > with what happens on TTY frames in a build with X: tab-bar-height
> > returns zero.
> >
> > Basil, can you please install such a change on the emacs-27 branch?  I
> > will then make another RC.
> 
> Done:

Thanks.

> Is there anything left to address here on the master branch, or can this
> report be closed?

I don't think we should do anything different on master, no.  At least
not without a good reason and/or a valid use case where this gets in
the way.

Martin, do you agree?

> The other --without-x warnings in frame.el are benign, and I'll try to
> look into the rest of them soon, but none of them sound too alarming at
> first glance (famous last words).

The only kind of problem they could reveal is if those functions are
actually called at run time in a build --without-x.